Bullet Collision Detection & Physics Library: btConvexConvexAlgorithm::CreateFunc Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btConvexConvexAlgorithm::CreateFunc Struct Reference

`#include <btConvexConvexAlgorithm.h>`

Inheritance diagram for btConvexConvexAlgorithm::CreateFunc:
[legend]
Collaboration diagram for btConvexConvexAlgorithm::CreateFunc:
[legend]

## Public Member Functions
| CreateFunc (btConvexPenetrationDepthSolver *pdSolver)
virtual | ~CreateFunc ()
virtual btCollisionAlgorithm * | CreateCollisionAlgorithm (btCollisionAlgorithmConstructionInfo &ci, const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap)
Public Member Functions inherited from btCollisionAlgorithmCreateFunc
| btCollisionAlgorithmCreateFunc ()
virtual | ~btCollisionAlgorithmCreateFunc ()
virtual btCollisionAlgorithm * | CreateCollisionAlgorithm (btCollisionAlgorithmConstructionInfo &, const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap)

## Public Attributes
btConvexPenetrationDepthSolver * | m_pdSolver
int | m_numPerturbationIterations
int | m_minimumPointsPerturbationThreshold
Public Attributes inherited from btCollisionAlgorithmCreateFunc
bool | m_swapped

## Detailed Description

Definition at line 83 of file btConvexConvexAlgorithm.h.

## Constructor & Destructor Documentation

## ◆ CreateFunc()

btConvexConvexAlgorithm::CreateFunc::CreateFunc | ( | btConvexPenetrationDepthSolver * | pdSolver | ) |

Definition at line 173 of file btConvexConvexAlgorithm.cpp.

## ◆ ~CreateFunc()

btConvexConvexAlgorithm::CreateFunc::~CreateFunc | ( |  | ) |
| virtual

Definition at line 180 of file btConvexConvexAlgorithm.cpp.

## Member Function Documentation

## ◆ CreateCollisionAlgorithm()

virtual btCollisionAlgorithm * btConvexConvexAlgorithm::CreateFunc::CreateCollisionAlgorithm | ( | btCollisionAlgorithmConstructionInfo & | ci,
|  | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap
| ) |  |
| inlinevirtual

Reimplemented from btCollisionAlgorithmCreateFunc.

Definition at line 93 of file btConvexConvexAlgorithm.h.

## Member Data Documentation

## ◆ m_minimumPointsPerturbationThreshold

int btConvexConvexAlgorithm::CreateFunc::m_minimumPointsPerturbationThreshold

Definition at line 87 of file btConvexConvexAlgorithm.h.

## ◆ m_numPerturbationIterations

int btConvexConvexAlgorithm::CreateFunc::m_numPerturbationIterations

Definition at line 86 of file btConvexConvexAlgorithm.h.

## ◆ m_pdSolver

btConvexPenetrationDepthSolver* btConvexConvexAlgorithm::CreateFunc::m_pdSolver

Definition at line 85 of file btConvexConvexAlgorithm.h.

The documentation for this struct was generated from the following files:

- btConvexConvexAlgorithm.h
- btConvexConvexAlgorithm.cpp